package com.huasheng.quant.constant;

public enum ISystemError implements IErrorCode {

	SUCCESS("0000", "处理成功"),

	UNKNOWN_ERROR("1001", "系统未知错误"),

	GET_BIND_DEVICE_ERROR("1002", "获取绑定设备失败");

	private String code; // 错误码
	private String description;// 错误描述

	ISystemError(String code, String description) {
		this.code = code;
		this.description = description;
	}

	@Override
	public String getDescription() {
		return this.description;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
