package com.huasheng.quant.exception;

public class BuzzException extends RuntimeException {

    private static final long serialVersionUID = 1L;

    private String errCode;

    public BuzzException(String errCode, String message) {
        super(message);
        this.errCode = errCode;
    }

    public BuzzException(String errCode, String message, Throwable cause) {
        super(message, cause);
        this.errCode = errCode;
    }

    public String getErrCode() {
        return errCode;
    }

}
